Bug 1008253 - Firefox ESC key binds to stop all XHR and websocket connection
Summary: Firefox ESC key binds to stop all XHR and websocket connection
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.2
Assignee: Patrick Huang
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-16 01:00 UTC by Patrick Huang
Modified: 2014-02-18 06:48 UTC (History)
2 users (show)

Fixed In Version: 3.2-SNAPSHOT (20131112-0036)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-18 06:48:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 996398 unspecified CLOSED [Review comment dialog] The keyboard shortcut mistakenly work on the main translation editor 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 996446 unspecified CLOSED [Translation history dialog] The keyboard shortcut mistakenly work on the main translation editor 2020-10-14 00:28:05 UTC

Internal Links: 996398 996446

Description Patrick Huang 2013-09-16 01:00:49 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.31 (KHTML, like Gecko) Chrome/26.0.1410.63 Safari/537.31
Build Identifier: 

$subject
This means GWT event service will be stopped. 

Reproducible: Always

Steps to Reproduce:
1. Open editor in Firefox
2. Open firebug console and turn on All logging
3. Locate the XHR entry of event service, it should be something like http://localhost:9898/zanata/webtrans/gwteventservice with as whirly thingy at the end. 
4. Press ESC
Actual Results:  
the event service connection gets closed (the entry found in step 3 turns red)

Expected Results:  
event service connection should not be closed by ESC key press.

This is a Firefox bug https://bugzilla.mozilla.org/show_bug.cgi?id=614304
But they are still arguing whether or not they will stop this key binding. We will need to workaround it before they fix it.

Comment 1 Patrick Huang 2013-09-17 05:04:36 UTC
https://github.com/zanata/zanata-server/pull/182

Comment 2 Ding-Yi Chen 2013-11-12 06:52:32 UTC
VERIFIED with Zanata version 3.2-SNAPSHOT (20131112-0036)


Note You need to log in before you can comment on or make changes to this bug.